2018-12-17 06:26 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005454GNUnetutil librarypublic2018-11-04 11:17
ReporterFlorian Dold 
Assigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0005454: argument parsing does not correctly parse/validate uints (and maybe others)
DescriptionI'm using gnunet-statistics here as an example, but it applies to all argument parsing in GNUnet and Taler.

This (as expected) doesn't work:

  $ gnunet-statistics -o FOO
  You must pass a number to the `port' option.

However, when the prefix of the argument is a number, the rest is ignored:

  $ gnunet-statistics -o 1FOO
  <tries to connect>

I ran into this when forgetting a space in a script (for Taler), as

  gnunet-statistics -o 1--another-flag

simply ignores "--another-flag" *without* any errors.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0013315

Christian Grothoff (manager)

Fixed "all over" util/ in 31cc8a750..3a4e51894
+Notes

-Issue History
Date Modified Username Field Change
2018-10-03 20:45 Florian Dold New Issue
2018-10-03 20:45 Florian Dold Status new => assigned
2018-10-03 20:45 Florian Dold Assigned To => Christian Grothoff
2018-11-04 11:17 Christian Grothoff Note Added: 0013315
2018-11-04 11:17 Christian Grothoff Status assigned => resolved
2018-11-04 11:17 Christian Grothoff Resolution open => fixed
2018-11-04 11:17 Christian Grothoff Fixed in Version => 0.11.0
2018-11-04 11:17 Christian Grothoff Product Version => SVN HEAD
2018-11-04 11:17 Christian Grothoff Target Version => 0.11.0
+Issue History